Oracle MySQL Enterprise Monitor (2022 年 4 月 CPU)

critical Nessus プラグイン ID 159917

概要

リモートホストは、複数の脆弱性の影響を受けます

説明

リモートホストにインストールされている MySQL Enterprise Monitor のバージョンは、2022 年 4 月の CPU のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- Oracle MySQL の MySQL Enterprise Monitor 製品における脆弱性 (コンポーネント : Monitoring: General (Apache Log4j))。影響を受けるサポート対象のバージョンは8.0.29以前です。容易に悪用できる脆弱性により、ネットワークアクセス権を持つ認証されていない攻撃者が、複数のプロトコルを介してMySQL Enterprise Monitorを侵害する可能性があります。この脆弱性に対する攻撃が成功すると、MySQL Enterprise Monitorの乗っ取りが発生する可能性があります。(CVE-2022-23305)

- Oracle MySQL の MySQL Enterprise Monitor 製品における脆弱性 (コンポーネント : Monitoring: General (Spring Framework))。影響を受けるサポート対象のバージョンは8.0.29以前です。容易に悪用できる脆弱性により、ネットワークアクセス権を持つ認証されていない攻撃者が、複数のプロトコルを介してMySQL Enterprise Monitorを侵害する可能性があります。この脆弱性に対する攻撃が成功すると、MySQL Enterprise Monitorの乗っ取りが発生する可能性があります。(CVE-2022-22965)

- Oracle MySQL の MySQL Enterprise Monitor 製品における脆弱性 (コンポーネント : 監視:一般 (Apache Tomcat) ) 。影響を受けるサポート対象のバージョンは8.0.29以前です。容易に悪用できる脆弱性により、ネットワークアクセス権を持つ認証されていない攻撃者が、複数のプロトコルを介してMySQL Enterprise Monitorを侵害する可能性があります。この脆弱性に対する攻撃が成功すると、権限なくMySQL Enterprise Monitorをハングさせたり、頻繁にクラッシュを繰り返させたりする可能性 (完全なDOS) があります。(CVE-2021-42340)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

April 2022 Oracle Critical Patch Updateアドバイザリに従い、適切なパッチを適用してください。

関連情報

https://www.oracle.com/docs/tech/security-alerts/cpuapr2022cvrf.xml

https://www.oracle.com/security-alerts/cpuapr2022.html

プラグインの詳細

深刻度: Critical

ID: 159917

ファイル名: mysql_enterprise_monitor_8_0_30.nasl

バージョン: 1.5

タイプ: combined

エージェント: windows, macosx, unix

ファミリー: CGI abuses

公開日: 2022/4/20

更新日: 2022/5/11

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Critical

スコア: 9.6

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:H/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-22965

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 9.4

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:H/RL:O/RC:C

CVSS スコアのソース: CVE-2022-23305

脆弱性情報

CPE: cpe:/a:oracle:mysql_enterprise_monitor

必要な KB アイテム: installed_sw/MySQL Enterprise Monitor

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/4/19

脆弱性公開日: 2022/4/19

CISAの既知の悪用日: 2022/4/25

エクスプロイト可能

Metasploit (Spring Framework Class property RCE (Spring4Shell))

参照情報

CVE: CVE-2021-41184, CVE-2021-42340, CVE-2021-44832, CVE-2022-0778, CVE-2022-22965, CVE-2022-23181, CVE-2022-23305

IAVA: 2022-A-0168